Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.rtrep.v1
Class DebugInfo

    java.lang.Object
      org.apache.ode.bpel.rtrep.v1.DebugInfo

All Implemented Interfaces:
  java.io.Serializable

    public class DebugInfo

extends java.lang.Object
implements java.io.Serializable

Information about the source that was used to create a compiled object.

See Also:
  Serialized Form

Field Summary
`java.lang.String` | `description`
`int` | `endLine` Source line number (end).
`java.util.HashMap<javax.xml.namespace.QName,java.lang.Object>` | `extensibilityElements`
`java.lang.String` | `sourceURI` Source file / resource name.
`int` | `startLine` Source line number (start).

Constructor Summary
`DebugInfo(java.lang.String sourceURI, int startLine, int endLine, java.util.Map<javax.xml.namespace.QName,java.lang.Object> extElmt)`
`DebugInfo(java.lang.String sourceURI, int line, java.util.Map<javax.xml.namespace.QName,java.lang.Object> extElmt)`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### sourceURI

    public final java.lang.String sourceURI

  Source file / resource name.

### startLine

    public final int startLine

  Source line number (start).

### endLine

    public final int endLine

  Source line number (end).

### description

    public java.lang.String description

### extensibilityElements

    public java.util.HashMap<javax.xml.namespace.QName,java.lang.Object> extensibilityElements

Constructor Detail

### DebugInfo

    public DebugInfo(java.lang.String sourceURI,
                     int startLine,
                     int endLine,
                     java.util.Map<javax.xml.namespace.QName,java.lang.Object> extElmt)

### DebugInfo

    public DebugInfo(java.lang.String sourceURI,
                     int line,
                     java.util.Map<javax.xml.namespace.QName,java.lang.Object> extElmt)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD